﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Velikonoce_ryjacek
{
    public partial class Form1 : Form
    {
        Image imgSky = Properties.Resources.obloha;
        Image imgEnd = Properties.Resources.konec;
        Bitmap imgEgg = Properties.Resources.vajco;
        Bitmap imgBunny = Properties.Resources.zajda;

        int Bux = 0;

        Random random = new Random();
        Random vejceR = new Random();



        int faze = 0;
        int Ex = 150;
        int startBC = 0;
        int body = 0;
        int casT = 0;
        int casO = 30;
        int chuzeAcasovac = 0;
        int kresbaKonce = 0;
        int vejceT = 0;
        int casV = 0;



        public Form1()
        {
            InitializeComponent();


        }

        public void nahodaVejceteDelka()
        {
            vejceT = vejceR.Next(1, 4);
            
        }


        private void Form1_Load(object sender, EventArgs e)
        {

            UpdateBody();
            UpdateCas();
            nahodaVejceteDelka();
        }


        private void Form1_Paint(object sender, PaintEventArgs e)
        {

            if (kresbaKonce == 0)
            {
                e.Graphics.DrawImage(imgSky, 0, ClientSize.Height - imgSky.Height, ClientSize.Width, imgSky.Height + 180);



                imgBunny.MakeTransparent(Color.Transparent);
                e.Graphics.DrawImage(imgBunny, Bux, 250, imgBunny.Width - 200, imgBunny.Height - 200);


                if (faze == 1)
                {

                    imgEgg.MakeTransparent(Color.Transparent);
                    e.Graphics.DrawImage(imgEgg, Ex, 250, imgEgg.Width - 170, imgEgg.Height - 170);
                }
            }





            if (kresbaKonce > 0)
            {
                e.Graphics.DrawImage(imgEnd, 0, 0, imgEnd.Width, imgEnd.Height);
            }














        }




        private void timer1_Tick(object sender, EventArgs e)
        {





            BunnyWEgg();
            if (casO > -1)
            {

                casV = casV + 1;
                casT = casT + 1;
                if (casT == 50)
                {
                    casO--;
                    casT = 0;
                }

                if (vejceT == 1 && casV == 50)
                {
                    SpawnEgg();
                    casV = 0;
                    nahodaVejceteDelka();
                }
                if (vejceT == 2 && casV == 100)
                {
                    SpawnEgg();
                    casV = 0;
                    nahodaVejceteDelka();
                }
                if (vejceT == 3 && casV == 150)
                {
                    SpawnEgg();
                    casV = 0;
                    nahodaVejceteDelka();
                }
                if (vejceT == 4 && casV == 200)
                {
                    SpawnEgg();
                    casV = 0;
                    nahodaVejceteDelka();
                }
            }
            konec();
            UpdateCas();
            Invalidate();
        }

        private void Form1_KeyDown(object sender, KeyEventArgs e)
        {

            if (e.KeyCode == Keys.D && chuzeAcasovac == 1 && Bux > -31 && Bux < 701 && Bux != 700)
            {
                Bux = Bux + 5;
            }

            if (e.KeyCode == Keys.A && chuzeAcasovac == 1 && Bux > -31 && Bux < 750 && Bux != -30)
            {
                Bux = Bux - 5;
            }
        }
        private void UpdateBody()
        {
            lblbody.Text = $"Body: {body}";

        }

        private void UpdateCas()
        {
            if (chuzeAcasovac == 1)
            {
                if (casO > 9)
                {
                    lblCAS.Text = $"Čas: 00:{casO}";
                }
                else
                {
                    lblCAS.Text = $"Čas: 00:0{casO}";

                }


            }

        }
        



        private void konec()
        {
            if (casO < 1)
            {
                kresbaKonce = kresbaKonce + 1;
                lblKonec.Text = $"{body}";
                lblCAS.Visible = false;
                lblbody.Visible = false;
                               
            }
            
               

                
            
        }
       


        private void SpawnEgg()
        {
            Ex = random.Next(0, 700);
        }

        private void BunnyWEgg()
        {
            if (Bux - Ex < 6 && Bux - Ex > -1 || Ex - Bux < 6 && Ex - Bux > -1)
            {
                SpawnEgg();
                body++;
                UpdateBody();
                casV = 0;   
                
            }
        }

        private void Form1_KeyPress(object sender, KeyPressEventArgs e)
        {
            
          

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (startBC < 1)
            {



                

                SpawnEgg();
                faze = 1;
                casO = 30;
                startBC++;
                chuzeAcasovac++;
                button1.Visible = false;
                lblNapoveda.Visible = false;
            }
            
        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void lblCAS_Click(object sender, EventArgs e)
        {

        }
    }
}
